<?php
//Vytvoření tabulky Kontakt list a vypsání na stránku
//Vypsání záhlaví
echo("<table class='createcontactlist'><tr class='conlist'><td class='conlist' colspan='1' align='center' style='background-color: #6F9FC4'><b>Kontakt list</b></td></tr>");

$vlastSIP = $_GET["data1"];
//Otevření souboru a vyčtení dat
$soubor = fopen("C:/ProgramData/OfficeSIP/Server/Accounts/00000001/Users.csv", "r");
$data = File("C:/ProgramData/OfficeSIP/Server/Accounts/00000001/Users.csv");
//prvni radek je prázdný
$druhy[0] = fgets($soubor);
//cyklus pro vyčítání dat z proměnné
for ($i = 1; $i < Count($data); $i++) {
	// dalsi radky
	$druhy[$i] = fgets($soubor);
	//rozložení celého řádku do více polí
	$pole = explode(",", $druhy[$i]);
	//Podmínka pro porovnání přihlášeného uživatele s databází,vypsání řádků tabulky
	if ($vlastSIP == "{$pole[0]}@sip.cz")
		;
	else
		echo("<tr id='SIPtradresa[$i]' class='row' ><td class='conlist'>$pole[2]</td><td class='callButtons' style='display:none;'>
				<input type='text' id='buttonCall'  readonly value='Volat' onclick=(placeCall('$pole[0]@sip.cz')) /><input type='text' id='addChat' value='Konverzace' readonly onclick=(Chat('$pole[0]@sip.cz')) /></td></tr>");

}
fclose($soubor);
echo("</table>");
?>
<script type="text/javascript">
//Funkce pro zobrazení a skrývání tlačítek Volat a Konverzace pro jednotlivé řádky v kontakt listu
	$(document).ready(function() {
		$(".row td").click(function() {

			$(this).parent().parent().find('td.callButtons').css("display", "none");
			$(this).parent("tr").find('td.callButtons').css("display", "block");
		});
	});
</script>
